.main_container {
    padding: 20px;
    background-color: #E5E5E5;
}


.mapboxgl-ctrl-logo {
    display: none !important;
}

.card {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    width: 100%;
    border-radius: 10px;
    padding: 20px;
    background-color: #FFFFFF;
}

.cardRadiusTop {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    width: 100%;
    border-radius: 10px 10px 0px 0px;
    padding: 20px;
    background-color: #FFFFFF;
}

.cardRadiusBottom {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    width: 100%;
    border-radius: 0px 0px 10px 10px;
    padding: 20px;
    background-color: #FFFFFF;
}



.mapboxgl-popup {
    max-width: 200px;
}

.mapboxgl-popup-content {
    text-align: center;
    font-family: 'Open Sans', sans-serif;
}

.map_container {
    border-style: groove;
    border-radius: 10px;
}

.wrapper_map {
    position: relative;
}

.text_title_container {
    border: 1px solid #FFEEBA;
    border-radius: 3px;
    padding-right: 5px;
    padding-left: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
    background-color: #FFF3CD;
    color: #856416;
    font-weight: bold;
    font-size: 18px;
    word-break: break-all;
}

.detail_container_red {
    border: 1px solid #DC143C;
    background-color: #FEF5F5;
    border-radius: 5px;
    padding: 5px;
    font-weight: bold;
    word-break: break-all;
    display: inline-block;
    width: 100%;
}

.detail_container_purple {
    border: 1px solid #9361DB;
    background-color: #F9F5FF;
    border-radius: 5px;
    padding: 5px;
    font-weight: bold;
    word-break: break-all;
    display: inline-block;
    width: 100%;
}

.detail_container_blue {
    border: 1px solid #C0A25D;
    background-color: #F5FBFF;
    border-radius: 5px;
    padding: 5px;
    font-weight: bold;
    word-break: break-all;
    display: inline-block;
    width: 100%;
}

.detail_container_green {
    border: 1px solid #50AF60;
    background-color: #F2FCF6;
    border-radius: 5px;
    padding: 5px;
    font-weight: bold;
    word-break: break-all;
    display: inline-block;
    width: 100%;
}

.detail_container_black {
    border: 1px solid #333333;
    background-color: #FAFAFA;
    border-radius: 5px;
    padding: 5px;
    font-weight: bold;
    word-break: break-all;
    display: inline-block;
    width: 100%;
}

.show_message {
    border: 3px solid #333333;
    background-color: #FAFAFA;
    border-radius: 5px;
    padding: 5px;
    font-weight: bold;
    word-break: break-all;
    display: inline-block;
    width: 100%;
}

.detail_container_text {
    font-weight: bold;
    font-size: 35px;
}

.detail_container_ket {
    font-size: 14px;
    color: #464A50
}

.title_ket {
    font-size: 16px;
    color: #909090;
    font-weight: bold
}

.text_title {
    font-weight: bold
}


.item-center {
    display: grid;
    grid-auto-flow: column;
    gap: 10px;
    align-items: center;
    justify-items: center;
}


.ket_map {
    position: absolute;
    bottom: 0;
    border: 1px solid #50AF60;
    background-color: #F2FCF6;
    border-radius: 0px 0px 10px 10px;
    padding: 5px;
    word-break: break-all;
    display: inline-block;
    width: 100%;
    font-size: 12px;
}

/* css radio button */

h1 {
    color: hsla(215, 5%, 10%, 1);
    margin-bottom: 2rem;
}

section {
    display: flex;
    flex-flow: row wrap;
}

section>div {
    flex: 1;
    padding: 0.5rem;
}

input[type="radio"] {
    display: none;


}

label {
    height: 100%;
    display: block;
    background: white;
    border: 1px solid #C28D40;
    border-radius: 10px;
    padding: 10px;
    text-align: center;
    box-shadow: 0px 3px 10px -2px hsla(150, 5%, 65%, 0.5);
    position: relative;
    font-size: 12px;
}

label:hover {
    cursor: pointer;
}

input[type="radio"]:checked+label {
    background: #C28D40;
    color: hsla(215, 0%, 100%, 1);
    box-shadow: 0px 0px 20px #C28D40;

    ::after {
        color: hsla(215, 5%, 25%, 1);
        font-family: FontAwesome;
        border: 2px solid #C28D40;
        content: "\f00c";
        font-size: 24px;
        position: absolute;
        top: -25px;
        left: 50%;
        transform: translateX(-50%);
        height: 50px;
        width: 50px;
        line-height: 50px;
        text-align: center;
        border-radius: 50%;
        background: white;
        box-shadow: 0px 2px 5px -2px hsla(0, 0%, 0%, 0.25);
    }
}


@media only screen and (max-width: 700px) {
    section {
        flex-direction: column;
    }
}